org.apache.sis.services

## Class LocationServlet

- Object
- - GenericServlet
  - - HttpServlet
    - - LocationServlet

- All Implemented Interfaces:
    Serializable, Servlet, ServletConfig

      public class LocationServlet
      extends HttpServlet

  A location web service that loads data from GeoRSS format (configured via a provided config.xml file), and then loads up a `QuadTree` with this information, making it queryable for callers.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocationServlet()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doGet(HttpServletRequest request, HttpServletResponse response)` Provide GET requests for Bounding-box and Point-radius search queries.
    `void` | `doPost(HttpServletRequest request, HttpServletResponse response)` Provide Post requests for build GeoRSS data html file.
    `void` | `init(ServletConfig config)` Read GeoRSS data (location information provide sis-location-config.xml ) and build quad-tree.

    - ### Methods inherited from class HttpServlet

      `doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

    - ### Methods inherited from class GenericServlet

      `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

    - ### Methods inherited from class Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LocationServlet

          public LocationServlet()

  - ### Method Detail

    - #### init

          public void init(ServletConfig config)
                    throws ServletException

      Read GeoRSS data (location information provide sis-location-config.xml ) and build quad-tree.
      Specified by:
        `init` in interface `Servlet`
      Overrides:
        `init` in class `GenericServlet`
      Parameters:
        `config` - Servlet configuration file
      Throws:
        `ServletException` - General exception for servlet

    - #### doGet

          public void doGet(HttpServletRequest request,
                            HttpServletResponse response)
                     throws ServletException,
                            IOException

      Provide GET requests for Bounding-box and Point-radius search queries. Return search results to client in xml format.
      Overrides:
        `doGet` in class `HttpServlet`
      Parameters:
        `request` - Http Servlet Request
        `response` - Http Servlet Response
      Throws:
        `ServletException` - General exception for servlet
        `IOException` - General exception for I/O

    - #### doPost

          public void doPost(HttpServletRequest request,
                             HttpServletResponse response)
                      throws ServletException,
                             IOException

      Provide Post requests for build GeoRSS data html file.
      Overrides:
        `doPost` in class `HttpServlet`
      Parameters:
        `request` - Http Servlet Request
        `response` - Http Servlet Response
      Throws:
        `ServletException` - General exception for servlet
        `IOException` - General exception for I/O

Copyright © 2010–2017 The Apache Software Foundation. All rights reserved.